unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, StdCtrls;

type
  TMainForm = class(TForm)
    OpenDialog: TOpenDialog;
    RunBtn: TBitBtn;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    OpenBtn: TSpeedButton;
    GroupBox2: TGroupBox;
    Edit2: TEdit;
    GroupBox3: TGroupBox;
    Edit3: TEdit;
    procedure OpenBtnClick(Sender: TObject);
    procedure RunBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses SFPack;

procedure TMainForm.OpenBtnClick(Sender: TObject);
begin
  if OpenDialog.Execute then
   begin
    Edit1.Text:=LowerCase(OpenDialog.FileName);
   end;
end;

procedure TMainForm.RunBtnClick(Sender: TObject);
begin
  if Edit1.Text='' then
   begin
    Application.MessageBox('Enter the Source file name.','Common!',mb_Ok or mb_IconExclamation);
    Edit1.SetFocus;
    Exit;
   end;
  if Edit2.Text='' then
   begin
    Application.MessageBox('Enter the Target Packed file name.','Common!',mb_Ok or mb_IconExclamation);
    Edit2.SetFocus;
    Exit;
   end;
  if Edit3.Text='' then
   begin
    Application.MessageBox('Enter the Target Unpacked file name.','Common!',mb_Ok or mb_IconExclamation);
    Edit3.SetFocus;
    Exit;
   end;
  if not PackFile(Edit1.Text,Edit2.Text) then
   begin
    Application.MessageBox('Pack IOError','Error',mb_Ok or mb_IconStop);
    Exit;
   end;
  if not UnPackFile(Edit2.Text,Edit3.Text) then
   begin
    Application.MessageBox('Unpack IOError','Error',mb_Ok or mb_IconStop);
    Exit;
   end;
  Application.MessageBox('Ok','Ok',mb_Ok or mb_IconInformation);
end;

end.
